function Card(props) {
    const { variant, extra, children, title, ...rest } = props;
    return (
        <div
            className={`!z-5 relative p-4 mt-4 mb-4 flex flex-col bg-white bg-clip-border shadow-3xl shadow-shadow-500 dark:!bg-navy-800 dark:text-white dark:shadow-none ${extra}`}
            {...rest}
        >
            {title && <h2>{title}</h2>}
            {children}
        </div>
    );
}

export default Card;
