import React from "react";
import { AdapterDateFns } from '@mui/x-date-pickers/AdapterDateFns'
import { DatePicker } from '@mui/x-date-pickers/DatePicker';
import { LocalizationProvider } from '@mui/x-date-pickers/LocalizationProvider';
const DateTimePickerControlled = ({
                        placeholder,
                        required = false,
                        label,
                        onChange,
                        defaultValue,
                    }) => {
    return <>
		<LocalizationProvider dateAdapter={AdapterDateFns}>
			<DateTimePickerControlled label={label} onChange={onChange} defaultValue={defaultValue} required={required}/>
		</LocalizationProvider>
    </>
}

export default DateTimePickerControlled;
