import chroma from 'chroma-js';
const TagLabel = ({tag}) => {
	const color = chroma(tag.color)

	const style = {
		backgroundColor: color.alpha(0.3).css(),
	};
	return <span className="p-2 rounded-xl mr-2" style={style}>{tag.title}</span>
}
export default TagLabel;
