<?php

namespace WpifyErp\Enums;

class TaskStatuses {
	const TODO = 'todo';
	const IN_PROGRESS = 'in_progress';
	const REVIEW = 'review';
	const DONE = 'done';

	public static function get_items() {
		return [
			[
				'label' => 'ToDo',
				'value' => self::TODO,
			],
			[
				'label' => 'In Progress',
				'value' => self::IN_PROGRESS,
			],
			[
				'label' => 'Review',
				'value' => self::REVIEW,
			],
			[
				'label' => 'Done',
				'value' => self::DONE,
			],
		];
	}

}
