<?php

namespace WpifyErp\Managers;

use WpifyErp\Api\ClientApi;
use WpifyErp\Api\DocumentApi;
use WpifyErp\Api\EnumApi;
use WpifyErp\Api\PermissionApi;
use WpifyErp\Api\ProjectApi;
use WpifyErp\Api\SearchApi;
use WpifyErp\Api\TagApi;
use WpifyErp\Api\TagRelationshipApi;
use WpifyErp\Api\TaskApi;
use WpifyErp\Api\TimeEntryApi;
use WpifyErp\Api\UserApi;

final class ApiManager {
	const ENDPOINT = 'wpify-erp/v1';

	public function __construct(
		ProjectApi $project_api,
		TaskApi $task_api,
		UserApi $user_api,
		EnumApi $enum_api,
		ClientApi $client_api,
		TimeEntryApi $time_entry_api,
		DocumentApi $document_api,
		TagApi $tag_api,
		TagRelationshipApi $tag_relationship_api,
		PermissionApi $permission_api,
		SearchApi $search_api
	) {
	}
}
