<?php

namespace WpifyErp\Models;

use WpifyErpDeps\Wpify\Model\Attributes\ReadOnlyProperty;
use WpifyErpDeps\Wpify\Model\User;

class UserModel extends User {
	#[ReadOnlyProperty]
	public string $name = '';

	#[ReadOnlyProperty]
	public array $permissions = [];
	
	public function get_name() {
		return $this->display_name;
	}

	public function get_permissions() {
		return $this->manager()->get_model_repository( PermissionModel::class )->get_user_permissions();
	}
}
