<?php

namespace WpifyErp\Repositories;

use WpifyErp\Models\AttachmentModel;
use WpifyErp\Models\ProjectModel;
use WpifyErpDeps\Wpify\Model\CustomTableRepository;

/**
 * @method AttachmentModel create()
 */
class AttachmentRepository extends CustomTableRepository {

	/**
	 * Table name.
	 * @var string $table_name
	 */
	public static string $table_name = 'wpify_erp_attachments';

	/**
	 * Return table name.
	 * @return string
	 */
	public function table_name(): string {
		return self::$table_name;
	}

	public function model(): string {
		return AttachmentModel::class;
	}
}
