<?php

namespace WpifyErp\Repositories;

use WpifyErp\Abstracts\AbstractRepository;
use WpifyErp\Models\ProjectModel;
use WpifyErp\Models\TaskCommentModel;
use WpifyErpDeps\Wpify\Model\CustomTableRepository;
use WpifyErpDeps\Wpify\Model\Interfaces\ModelInterface;

/**
 * @method TaskCommentModel create()
 * @method TaskCommentModel get( mixed $source )
 */
class TaskCommentRepository extends AbstractRepository {

	/**
	 * Table name.
	 * @var string $table_name
	 */
	public static string $table_name = 'wpify_erp_task_comments';

	/**
	 * Return table name.
	 * @return string
	 */
	public function table_name(): string {
		return self::$table_name;
	}

	public function model(): string {
		return TaskCommentModel::class;
	}

	public function apply_permissions( array $args ) {
		return $args;
	}
}
