const Button = ({type = 'submit', label, onClick, className}) => {
    return <>
        <button className={`bg-blue-500 hover:bg-blue-700 text-white font-bold py-1 px-4 rounded ${className}`} type={type}
                onClick={onClick}>
            {label}
        </button>
    </>
}

export default Button;
