import React, { useState, useEffect } from 'react'
import MDEditor from '@uiw/react-md-editor';
const Editor = ({initialValue, onChange, value}) => {
	useEffect(() => {
		if (initialValue) {
			onChange(initialValue);
		}
		return () => {

		};
	}, []);
	return (
		<div data-color-mode="light">
			<MDEditor
				value={value}
				onChange={onChange}
				height={500}
			/>
		</div>
	);
}
export default Editor;
