import React, {useState} from 'react';
import { TextField } from "@mui/material";
const InputTextControlled = ({name, type = 'text', placeholder, required = false, label, defaultValue, onChange}) => {
	const [value, setValue] = useState(defaultValue);
	return <>
		<TextField variant="outlined"
			id={name} type={type} label={placeholder} required={required} name={name}
			defaultValue={defaultValue} onChange={onChange}
		/>
	</>
}

export default InputTextControlled;
