<?php

use WpifyErpDeps\DI\Definition\Helper\CreateDefinitionHelper;
use WpifyErpDeps\Wpify\CustomFields\CustomFields;
use WpifyErpDeps\Wpify\Model\Manager;
use WpifyErpDeps\Wpify\PluginUtils\PluginUtils;
use Wpify\Templates\TwigTemplates;

return array(
	CustomFields::class      => ( new CreateDefinitionHelper() )
		->constructor( plugins_url( 'deps/wpify/custom-fields', __FILE__ ) ),
	PluginUtils::class       => ( new CreateDefinitionHelper() )
		->constructor( __DIR__ . '/wpify-erp.php' ),
	Manager::class           => ( new CreateDefinitionHelper() )
		->constructor( [] ),
	TwigTemplates::class     => ( new CreateDefinitionHelper() )
		->constructor( [ __DIR__ . '/templates' ] ),
);
