<?php

namespace WpifyErp\Abstracts;

class AbstractController {
	public function collection_to_array( $collection, array $fields = [] ) {
		return array_map( fn( $item ) => $item->to_array( $fields ), $collection );
	}

	public function get_items( $args = [] ) {
		$items = $this->repository->find( $args );

		return $this->collection_to_array( $items );
	}

	public function get_item( int $id ) {
		$item = $this->repository->get( $id );

		return $item ? $item->to_array() : [];
	}

}
