<?php

namespace WpifyErp\Api;

use WP_REST_Response;
use WpifyErp\Abstracts\AbstractRest;
use WpifyErp\Controllers\ProjectController;
use WpifyErp\Repositories\ProjectRepository;

class ProjectApi extends AbstractRest {
	public function __construct(
		public ProjectController $controller,
		public ProjectRepository $repository
	) {
		parent::__construct();
	}

	public function base(): string {
		return 'project';
	}
	public function create_item_data( $item, $request ) {
		$item->user_id = get_current_user_id();

		return $item;
	}

}
