<?php

namespace WpifyErp\Controllers;

use WpifyErp\Abstracts\AbstractController;
use WpifyErp\Repositories\ClientRepository;
use WpifyErp\Repositories\ProjectRepository;
use WpifyErp\Repositories\TaskRepository;
use WpifyErp\Repositories\TimeEntryRepository;

class TimeEntryController extends AbstractController {
	public function __construct(
		private TimeEntryRepository $time_entry_repository
	) {
	}

	public function get_items( $args = [] ) {
		$items = $this->time_entry_repository->find($args);

		return $this->collection_to_array( $items );
	}

	public function get_item( int $id ) {
		$item = $this->time_entry_repository->get( $id );

		return $item->to_array();
	}
}
