<?php

namespace WpifyErp\Enums;

class Roles {
	const NONE = 'none';
	const READER = 'reader';
	const EDITOR = 'editor';
	const MANAGER = 'manager';


	public static function get_items() {
		return [
			[
				'label' => 'None',
				'value' => self::NONE,
			],
			[
				'label' => 'Reader',
				'value' => self::READER,
			],
			[
				'label' => 'Editor',
				'value' => self::EDITOR,
			],
			[
				'label' => 'Manager',
				'value' => self::MANAGER,
			],
		];
	}

}
