<?php

namespace WpifyErp\Features;

use League\HTMLToMarkdown\HtmlConverter;
use Ramsey\Uuid\Uuid;
use Swissblanc\Features\Automation;
use Swissblanc\Features\Coalios\Integration;
use Swissblanc\Features\User;
use Swissblanc\Features\WC_Subscription;
use Swissblanc\Repositories\OrderRepository;
use Swissblanc\Repositories\SubscriptionRepository;

use WpifyErp\Repositories\AttachmentRepository;
use WpifyErp\Repositories\TagRelationshipRepository;
use WpifyErp\Repositories\TaskCommentRepository;
use WpifyErp\Repositories\TaskRepository;

class CLI extends \CLI_Command {
	private Imap $imap;

	public function __construct() {
		\WP_CLI::add_command( 'wpify_erp', self::class );
		$this->imap = wpify_erp_container()->get( Imap::class );
	}

	/**
	 * Handle subscription statuses automatically
	 */
	function handle_inbox() {
		$this->imap->handle_inbox();
	}
}
