<?php

namespace WpifyErp\Repositories;

use WpifyErp\Abstracts\AbstractRepository;
use WpifyErp\Models\ActivityLogModel;
use WpifyErp\Models\AttachmentModel;
use WpifyErp\Models\DocumentModel;
use WpifyErp\Models\TagModel;
use WpifyErp\Models\TagRelationshipModel;

/**
 * @method AttachmentModel create()
 */
class TagRelationshipRepository extends AbstractRepository {

	/**
	 * Table name.
	 * @var string $table_name
	 */
	public static string $table_name = 'wpify_erp_tag_relationships';

	/**
	 * Return table name.
	 * @return string
	 */
	public function table_name(): string {
		return self::$table_name;
	}

	public function model(): string {
		return TagRelationshipModel::class;
	}
}
